# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

ddt_menu_item = items.MenuItem(
    # GENERAL
    _('Ddt'), 
    reverse('admin:app_list', kwargs={'app_label': 'ddt'}),
    children=[
        items.MenuItem(
            _('Ddt'),
            '',
            children=[
                items.MenuItem(_('Add Ddt'), reverse('admin:ddt_ddt_add',)), 
                items.MenuItem(_('Ddt List'), reverse('admin:ddt_ddt_changelist',)),
            ]
        ),
    ]
)


register_menu(ddt_menu_item, 'jmb.ddt')